[!]================================================================================
	ProcessSubscription.inc
	
	Description:
	Used for filtering lineitems that need to be added to the "subscriptions" module.
================================================================================[/!]

[!]--------------------------------------------------------------------------------
	Get New ID for the Subscriptions Database
--------------------------------------------------------------------------------[/!]
[Math show=F]newid=1+[Search db=../subscriptions/subscriptions.db&neSS_IDdatarq=Find_All&deSS_IDsort=1&SS_IDtype=num&max=1]0[Founditems][SS_ID][/Founditems][/Search][/Math]
[text]ss_id=[newid][/text]
[!]--------------------------------------------------------------------------------
	Initialze Header Fields for Subscription
--------------------------------------------------------------------------------[/!]
	[ListFields db=../subscriptions/subscriptions.db]
		[Showif [fieldname]!SS_id][Text][fieldname]=[Interpret][[GetChars start=4][fieldname][/GetChars]][/Interpret][/Text][/Showif]
	[/ListFields]
	[TEXT multi=T]SS_NonTaxableTotal=&SS_TaxableTotal=&SS_TaxTotal=&SS_ShippingTotal=&SS_CartIPAddress=Subscription&SS_AuthNumber=&SS_ResponseText=&SS_Status=&SS_BatchNumber=&SS_ReferenceNumber=&SS_SequenceNumber=&SS_ItemNumber=&SS_GrandTotal=&SS_TaxTotal=&SS_AVS=&SS_Action=[/TEXT]
	[Text multi=T]SS_USER=[SS_HEADER33]&SS_PASS=&SS_SHIPPED_COUNT=0&SS_PENDING_SHIPMENTS=0[/Text]
	[Text multi=T]SS_TYPE=0&SS_REPEAT_INTERVAL=1&SS_REPEAT_TYPE=1&SS_ENDDATE=F&SS_REPEAT_ENDDATE=[Math show=T]{[:global:DATE]}-1[/Math]&SS_PROCESSDATE=[Math show=T]{[:global:DATE]}-1[/Math][/text]
[!]--------------------------------------------------------------------------------
	Set Lineitem Fields for Subscription
--------------------------------------------------------------------------------[/!]
		[lineitems]
			[Showif ![textZ]]
			[!]--------------------------------------------------------------------------------
				Set Header Fields for Subscription
			--------------------------------------------------------------------------------[/!]
			[Replace db=../subscriptions/subscriptions.db&eqSS_IDdatarq=[SS_ID]&append=T][ListFields db=../subscriptions/subscriptions.db][fieldname]=[Interpret][[fieldname]][/Interpret]&[/ListFields][/Replace]
			[Math show=F]newid2=1+[Search db=../subscriptions/subs_lineitems.db&neSL_IDdatarq=Find_All&deSL_IDsort=1&SL_IDtype=num&max=1][Showif [numfound]=0]0[/Showif][Founditems][SL_ID][/Founditems][/Search][/Math]
			[Replace db=../subscriptions/subs_lineitems.db&eqSL_SSIDdatarq=[SS_ID]&eqSL_IDdatarq=[newid2]&append=T]SL_ID=[newid2]&SL_SSID=[SS_ID]&[ListFields db=../subscriptions/subs_lineitems.db][Hideif +SL_ID+SL_SSID+^+[fieldname]+][fieldname]=[Showif [FIELDNAME]~SL_TEXT][Middle startafter=: ][Interpret][[GetChars start=4][fieldname][/GetChars]][/Interpret][/Middle][/Showif][Hideif [FIELDNAME]~SL_TEXT][Interpret][[GetChars start=4][fieldname][/GetChars]][/Interpret][/Hideif]&[/Hideif][/ListFields][/Replace]
			[Replace db=../subscriptions/subs_lineitems.db&eqSL_SSIDdatarq=[SS_ID]&eqSL_IDdatarq=[newid2]&append=T]SL_textZ=[/Replace]
			[text]interval=[GetChars start=2&from=end][textZ][/GetChars][/text]
			[text]interval=[Middle startafter=: ][interval][/Middle][/text]

			[text]EndOfMonth=9999999[/text]
			
			[Switch value=[GetChars start=1&end=1&from=end][textZ][/GetChars]]
			[Case value=N]
				[Text multi=T]SS_TYPE=0&SS_REPEAT_INTERVAL=1&SS_REPEAT_TYPE=0&SS_ENDDATE=F&SS_REPEAT_ENDDATE=[Math show=T]{[:global:DATE]}-1[/Math]&SS_PROCESSDATE=[Math show=T]{[:global:DATE]}-1[/Math][/text]
			[/Case]
			[Case value=D]
				[text]newdate=[Math show=T]{[:global:DATE]}+[INTERVAL][/Math][/text]
				[Text multi=T]SS_TYPE=2&SS_REPEAT_INTERVAL=[interval]&SS_REPEAT_TYPE=1&SS_ENDDATE=F&SS_REPEAT_ENDDATE=[Math show=T]{[:global:DATE]}-1[/Math]&SS_PROCESSDATE=[newdate][/text]
			[/Case]
			[Case value=W]
				[text]newdate=[Math show=T]{[:global:DATE]}+(7 * [INTERVAL])[/Math][/text]
				[Text multi=T]SS_TYPE=2&SS_REPEAT_INTERVAL=[interval]&SS_REPEAT_TYPE=7&SS_ENDDATE=F&SS_REPEAT_ENDDATE=[Math show=T]{[:global:DATE]}-1[/Math]&SS_PROCESSDATE=[newdate][/text]
			[/Case]
			[Case value=M]
				[text]newdate=[Math show=T]{[Math show=T][:global:DATE format=%m]+[INTERVAL][/Math]/[:global:DATE format=%d]/[:global:DATE format=%Y]}[/Math][/text]
				[text]EndOfMonth=[Math show=T]{[Math show=T][:global:DATE format=%m]+[INTERVAL]+1[/Math]/1/[:global:DATE format=%Y]}-1[/Math][/text]
				[Showif [EndOfMonth]<[newdate]][text]newdate=[EndOfMonth][/text][/Showif]
				[Text multi=T]SS_TYPE=2&SS_REPEAT_INTERVAL=[interval]&SS_REPEAT_TYPE=30&SS_ENDDATE=F&SS_REPEAT_ENDDATE=[Math show=T]{[:global:DATE]}-1[/Math]&SS_PROCESSDATE=[newdate][/text]
			[/Case]
			[Case value=Y]
				[text]newdate=[Math show=T]{[:global:DATE format=%m]/[:global:DATE format=%d]/[Math show=T][:global:DATE format=%Y]+[INTERVAL][/Math]}[/Math][/text]
				[text]EndOfMonth=[Math show=T]{[Math show=T][:global:DATE format=%m]+1[/Math]/1/[Math show=T][:global:DATE format=%Y]+[INTERVAL][/Math]}-1[/Math][/text]
				[Showif [EndOfMonth]<[newdate]][text]newdate=[EndOfMonth][/text][/Showif]
				[Text multi=T]SS_TYPE=2&SS_REPEAT_INTERVAL=[interval]&SS_REPEAT_TYPE=365&SS_ENDDATE=F&SS_REPEAT_ENDDATE=[Math show=T]{[:global:DATE]}-1[/Math]&SS_PROCESSDATE=[newdate][/text]
			[/Case]
			[Default]
				[text]newdate=[Math show=T]{[Math show=T][:global:DATE format=%m]+[INTERVAL][/Math]/[:global:DATE format=%d]/[:global:DATE format=%Y]}[/Math][/text]
				[text]EndOfMonth=[Math show=T]{[Math show=T][:global:DATE format=%m]+[INTERVAL]+1[/Math]/1/[:global:DATE format=%Y]}-1[/Math][/text]
				[Showif [EndOfMonth]<[newdate]][text]newdate=[EndOfMonth][/text][/Showif]
				[Text multi=T]SS_TYPE=2&SS_REPEAT_INTERVAL=[interval]&SS_REPEAT_TYPE=30&SS_ENDDATE=F&SS_REPEAT_ENDDATE=[Math show=T]{[:global:DATE]}-1[/Math]&SS_PROCESSDATE=[newdate][/text]
			[/Default]
			[/Switch]
			[!]--------------------------------------------------------------------------------
				Set Header Fields for Subscription
			--------------------------------------------------------------------------------[/!]
				[Replace db=../subscriptions/subscriptions.db&eqSS_IDdatarq=[SS_ID]&append=T]SS_TYPE=[SS_TYPE]&SS_REPEAT_INTERVAL=[SS_REPEAT_INTERVAL]&SS_REPEAT_TYPE=[SS_REPEAT_TYPE]&SS_ENDDATE=[SS_ENDDATE]&SS_REPEAT_ENDDATE=[SS_REPEAT_ENDDATE]&SS_PROCESSDATE=[SS_PROCESSDATE][/Replace]
			[/Showif]
		[/lineitems]
