<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=New [raw][FileCompare][/raw] Tag]
<p>
The file compare tag compares the size, date, or CRC32 value of two given files.
<p>
Syntax:<br>
<b>[raw][filecompare params...][/raw]<br>
params:<br></b>
method - Size | Date | CRC32<br>
file1 - path of first file.<br>
file2 - path of second file.<br>
file1crc - arbitrary crc32 value, in place of an actual path for file1. (useful if you want to store the CRC32 value
of a file and use it at a later time to test if the file contents have been changed)
<p>
<b>results: method=Size<br></b>
SMALLER - file2 is smaller than file1<br>
LARGER - file2 is larger than file1<br>
SAME - file1 and file2 are the same size
<p>
<b>results: method=Date<br></b>
OLDER - file2 is older than file1<br>
NEWER - file2 is newer than file1<br>
SAME - file1 and file2 have the same create date
<p>
<b>results: method=CRC32<br></b>
DIFFERS - the files differ in content<br>
SAME - the files have the same content<br>
<p>
<b>Errors:<br></b>
ERROR_FILE1 - 'file1' could not be found or opened<br>
ERROR_FILE2 - 'file2' could not be found or opened<br>
ERROR_BOTH - neither file could be found or opened
<p>
Examples:
[raw]
<xmp>
[filecompare method=SIZE&file1=../create_tutorial.tpl&file2=../header.inc]<br>
[filecompare method=DATE&file1=../create_tutorial.tpl&file2=../header.inc]<br>
[filecompare method=CRC32&file1=../create_tutorial.tpl&file2=../header.inc]<br>
[text]crc_value=[CalcFileCRC32 file=../header.inc][/text]
[filecompare method=CRC32&file1crc=[crc_value]&file2=../header.inc]<br>
</xmp>
[/raw]
Results:
<hr>
[filecompare method=SIZE&file1=../create_tutorial.tpl&file2=../header.inc]<br>
[filecompare method=DATE&file1=../create_tutorial.tpl&file2=../header.inc]<br>
[filecompare method=CRC32&file1=../create_tutorial.tpl&file2=../header.inc]<br>
[text]crc_value=[CalcFileCRC32 file=../header.inc][/text]
[filecompare method=CRC32&file1crc=[crc_value]&file2=../header.inc]<br>


<p>
[include file=../header.inc&top=F&page_title=New [raw][FileCompare][/raw] Tag]

