<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Tag Override Example]

<p>
Function names take precedence over WebDNA global tags.  So it is possible to 'override' a WebDNA tag.
For example, lets define a function named 'date' that displays the date in bold text.
<p>
We use the following code...
<b>
[raw]
<xmp>
[function name=Date]
<b>[:global:Date]</b>
[/function]
</xmp>
[/raw]
</b>
Note that in our function definition, we had to use explicit 'scoping'
to access the true WebDNA [raw][date][/raw] tag.  This is to prevent an infinite
recursion when the function code executes, i.e. keeps calling itself.
You can learn more about Scope and Scope Resolution in the 'Scope' tutorial.
<p>
Now when we use [raw][date][/raw], our date function is called, instead of the global [raw][date][/raw].
<b>
[raw]
<xmp>
[Date]
</xmp>
[/raw]
</b>
Results...
<hr>
[function name=Date]
<b>[:global:Date]</b>
[/function]

[Date]
<hr>

If, after the new date function is defined, we want to access the WebDNA global 'date' tag,  we can use Scope Resolution...
<b>
[raw]
<xmp>
[:global:Date]
</xmp>
[/raw]
</b>
<hr>
Results...
<hr>
[:global:Date]

[include file=../header.inc&top=F&page_title=Tag Override Example]