<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Function Variable Space]
<p>
Unlike the [raw][include][/raw] tag.  Functions are executed with their own
variable name space.  This means that text,math,table,etc... objects that are defined
within the function code, are 'local' to that function code, and are destroyed when
the function ends.  This is a powerful new feature for WebDNA.  It makes it much safer
for an outside developer to create WebDNA function code without having to worry about unintended variable name 'collisions' with variables
created outside of the function code.  It also helps to limit the number of global variables that accumulate during
template execution, which improves WebDNA performance.
<p>
Here is an example that demonstrates 'local' variable space...

<b>
[raw]
<xmp>
[!]Create 'global' template variables[/!]
[loop start=1&end=5]
[text]var_[index]=GGG[index][/text]
[/loop]

[function name=CreateLotsOfFunctionVars]
Function Start!<br>
[loop start=1&end=5]
[text]var_[index]=[index][/text]
[/loop]
Variables created within the function:<br>
[listvariables scope=CreateLotsOfFunctionVars]local [name]=[value]<br>[/listvariables]
<p>
Two ways to access global template variables from within a function:
<br>
Explicit scope:<br>
global var_1=[:global:var_1]
<p>
Relative scope:<br>
global var_1=[::var_1] ('::' = 'find 2nd instance of')
<p>
Function End!<br>
[/function]

[CreateLotsOfFunctionVars]

<p>
Global Variables:<br>
[listvariables][name]=[value]<br>[/listvariables]
</xmp>
[/raw]
</b>
Results...
<hr>
[!]Create 'global' template variables[/!]
[loop start=1&end=5]
[text]var_[index]=GGG[index][/text]
[/loop]

[function name=CreateLotsOfFunctionVars]
Function Start!<br>
[loop start=1&end=5]
[text]var_[index]=[index][/text]
[/loop]
Variables created within the function:<br>
[listvariables scope=CreateLotsOfFunctionVars]local [name]=[value]<br>[/listvariables]
<p>
Two ways to access global template variables from within a function:
<br>
Explicit scope:<br>
[raw]<b>global var_1=[:global:var_1]</b>[/raw]<br>
global var_1=[:global:var_1]
<p>
Relative scope:<br>
[raw]<b>global var_1=[::var_1] ('::' = 'find 2nd instance of')</b>[/raw]<br>
global var_1=[::var_1]
<p>
Function End!<br>
[/function]

[CreateLotsOfFunctionVars]

<p>
Global Variables:<br>
[listvariables][name]=[value]<br>[/listvariables]
<hr>
So you can see that the variables created within the function only exist
for the duration of the function call.

[include file=../header.inc&top=F&page_title=Function Variable Space]