<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Shell, DOS, Applescript]
<p>
The <b>[raw][shell][/raw], [raw][dos][/raw], and [raw][applescript][/raw]</b> contexts
require special handling when used within a WebDNA Sandbox.
<p>
Shell, DOS, and Applescript code can no longer be explicitly defined within these contexts, when used in a WebDNA Sandbox.  Instead, the desired code must
be submitted to the WebDNA admin for approval.  If approved, the 'code snippet' is 
added to the WebDNA Sandbox 'Scripts' database, with a unique ID code.  This ID code is then 
used by the Sandbox programmer.
<p>
For example...
<p>
A WebDNA sandbox programmer wants to execute the DOS command. <b>"dir c:\"</b>.  The programmer submits the code snippet, <b>"dir c:\"</b>,
to the WebDNA admin.  The admin approves the code, and inserts the code into the WebDNA Sandbox Scripts database with a
unique ID of '111'.  The WebDNA admin then returns the ID to the Sandbox 
programmer.  The Sandbox programmer then uses the ID as follows...
<br>[raw]<b>[DOS scriptID=111][/DOS]</b>[/raw]
<p>
The same applies when using the <b>[raw][shell][/raw]</b> context.
<p>
The <b>[raw][object][/raw]</b> context is handled in a slightly different way.  For this case, the submitted 
'code snippet' is the 'parameter list' that would normally be passed into the context.
<p>
For example....
<p>
<b>
[raw]
<xmp>
[OBJECT objname=SystemInfo.SysInfo.1&type=0[!]
[/!]&call=GetFreeDiskSpace[!]
[/!]&param1=C:\&param1type=str][/OBJECT]

would become...

[OBJECT SCRIPTID=123][/OBJECT]
</xmp>
[/raw]
</b>

The WebDNA admin having recorded the text:
<b>
[raw]
<xmp>
"objname=SystemInfo.SysInfo.1&type=0[!]
[/!]&call=GetFreeDiskSpace[!]
[/!]&param1=C:\&param1type=str"
</xmp>
[/raw]
</b>
into the Sandbox scripts database with an ID of 123.

[include file=../header.inc&top=F&page_title=Shell, DOS, Applescript]