<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=SQLRelease/SQLDisconnect]
[include file=javascript.inc&source=example10.inc]
<p>

<b>[raw][SQLConnect][/raw]</b> and <b>[raw][SQLExecute][/raw]</b> both "create" in-memory variables/structures on successful execution.  <b>[raw][SQLConnect][/raw]</b> creates a SQLConnect variable 
and <b>[raw][SQLExecute][/raw]</b> creates a SQLResult variable.  Both must be provided with <i>unique</i> variable names, however they are in separate namespaces.  For example, should you so desire, 
you can name your SQLConnect variable "Conn1" and your SQLResult variable "Conn1" as well and the WebDNA engine will not complain.  However, on the same template, you cannot create two distinct SQLConnect variables and name them
both "Conn1".  Neither can you name two distinct SQLResult variables identically.  However, if you find that you must reuse SQLConnect or SQLResult variable names, in the same template, the <b>[raw][SQLDisconnect][/raw]</b> and 
<b>[raw][SQLRelease][/raw]</b> tags can be used.<br>
<br>
<b>[raw][SQLDisconnect][/raw]</b> accepts only one parameter:<br>
- <b>conn_ref</b> or simply <b>ref</b> is <i>required</i> and is the name of the SQLConnect variable you have created via the <b>conn_var</b> (or <b>var</b>) parameter of a <b>[raw][SQLConnect][/raw]</b> 
context you have already <i>successfully</i> executed<br>
<br>
<b>[raw][SQLDisconnect][/raw]</b> will close the database connection, releasing any resources (including any and all SQLResult variables) associated with the connection, and the SQLConnect variable name is freed and available for use again.<br>
<br>
<b>[raw][SQLRelease][/raw]</b> is similar except that it is used to release SQLResult variables.  <b>[raw][SQLRelease][/raw]</b> accepts only one parameter:<br>
- <b>result_ref</b> or simply <b>ref</b> is <i>required</i> and is the name of the SQLResult variable you have created via the <b>result_var</b> (or <b>var</b>) parameter of a <b>[raw][SQLExecute][/raw]</b> 
context you have already <i>successfully</i> executed<br>
<br>
<b>[raw][SQLRelease][/raw]</b> will close the resultset and the SQLResult variable name is freed and available for use again.<br>
<br>
Again, note that these are only needed if you wish to reuse variable names for SQL connections or SQL results.
For example, if you wish to 'loop' several SQLConnect and SQLResult contexts.  If this is not the case, then you do not need to use the
<b>[raw][SQLRelease][/raw]</b> or <b>[raw][SQLDisconnect][/raw]</b> tags.  WebDNA will automatically release all
connection and result set variables at the end of template execution.
<p>
For example, take a look at the code below and click "Go" when ready.<br>
<br>
<div id="div_exSQLResult_Source" style="visibility: visible;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><td><iframe id="ifr_exSQLResult_Source" border="0" frameborder="0" width="100%" height="875" style="visibility: visible;" src="display_source.tpl?source=example10.inc"></iframe></td></tr>
		<tr><td>&nbsp;</td></tr>
		<tr><td align="right"><input type="button" value="Go" onClick="exSQLExecute();"></td></tr>
	</table>
</div>
<br>
<br>
<div id="div_exSQLExecute" style="visibility: hidden;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><a name="result"></a><td>RESULT:</td></tr>
		<tr><td><iframe id="ifr_exSQLExecute" border="0" frameborder="0" width="100%" height="600" style="visibility: hidden;" src=""></iframe></td>
</div></table>
<br>
<div id="div_SQLResultDoc" style="visibility: hidden;"">
Now let's analyze the results.  The first <b>[raw][SQLConnect][/raw]</b> happens without a hitch.  Likewise the first <b>[raw][SQLExecute][/raw]</b> runs with no problems.  However, when 
we get to the second <b>[raw][SQLExecute][/raw]</b> there is an error.  The problem is that we try to create a new SQLResult variable with the same name ("rs1") as the first one, while the first one 
is still hanging around.  This is solved with the next line, the call to <b>[raw][SQLRelease result_var=rs1][/raw]</b>.  We then re-execute <b>[raw][SQLExecute][/raw]</b>, attempting to create 
a SQLResult variable with the same name ("rs1") yet again.  This time we have no problem since the previous SQLResult variable by this time had been released.  Similar logic should be applied 
to the SQLConnect attempts that follow.<br>
</div><br>
<p>
[include file=../header.inc&top=F&page_title=SQLRelase/SQLDisconnect]