<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=SQLInfo/ListFields]
[include file=javascript.inc&source=example9.inc]
<p>

You may find that you need to get information about a connection or a table in a 
database without being required to execute a query (via <b>[raw][SQLResult][/raw]</b>).
That is what the <b>[raw][SQLInfo][/raw]</b> context does for you.
<p>
<b>[raw][ListFields][/raw]</b> has also been retrofitted to provide SQL table
definition info (field metadata).
<p>
<b>[raw][SQLInfo][/raw]</b> reports back information about a SQL connection that has already been established via <b>[raw][SQLConnect][/raw]</b>.  It allows for only one parameter:<br>
- <b>conn_ref</b> or simply <b>ref</b> is <i>required</i> and the value should be the name of a SQLConnect variable created (via the <b>conn_var</b> or <b>var</b> variable) by the successful execution of 
<b>[raw][SQLConnect][/raw]</b><br>
<br>
The following tags are availble within the <b>[raw][SQLInfo][/raw]</b> context:<br>
- <b>[raw][SQL_HOST][/raw]</b> is the IP Address/host name of the database server<br>
- <b>[raw][SQL_SERVERTYPE][/raw]</b> is the RDBMS type of the database server; type returned: <b>MYSQL</b>, <b>MSSQL</b>, or <b>ORACLE</b><br>
- <b>[raw][SQL_SERVERVER][/raw]</b> is the version number of the specific RDBMS type; e.g. 7.0<br>
- <b>[raw][SQL_CLIENTVER][/raw]</b> is the version number of the client being used to connect to the database server<br>
- <b>[raw][SQL_DBNAME][/raw]</b> is the name of the database you have connected to, if any<br>
<br>
<b>[raw][ListFields][/raw]</b> can now be used to report back information (metadata) about a table in a SQL database or information about the fields of SQLResult. It is an iterative context which means that 
it will iterate fields of the corresponding source table definition or SQLResult automatically.
<p>
If <b>[raw][ListFields][/raw]</b> is placed within a <b>[raw][SQLResult][/raw]</b> 
context, with no parameters givien, it iterates the field information of the resultset.
<p>If you wish to get back information about a table definition independent of a SQL query 
(SQLResult), then you need to provide the following parameters:<br>
- <b>conn_ref</b> or <b>conn_ref</b> is <i>required</i> and the value should be the name of a SQLConnect variable created (via the <b>conn_var</b> or <b>var</b> variable) by the successful execution of 
<b>[raw][SQConnect][/raw]</b><br>
- <b>table</b> is <i>required</i> and is the name of the table whose fields you wish to describe<br>
<br>
The following new SQL-related tags available within <b>[raw][ListFields][/raw]</b> correspond to most of the <b>get</b> parameter values of the <b>[raw][field][/raw]</b> tag within <b>[raw][FoundItems][/raw]</b>:<br>
- <b>[raw][FIELDNAME][/raw]</b> will retrieve the name of the current iterated field<br>
- <b>[raw][ORDINAL][/raw]</b> will retrieve the literal index of the current iterated field<br>
- <b>[raw][DATATYPE][/raw]</b> will retrieve the named SQL datatype of the current iterated field<br>
- <b>[raw][ALLOWNULL][/raw]</b> returns whether or not (T or F) the current iterated field will accept a null value as a possible entry/value<br>
- <b>[raw][WIDTH][/raw]</b> will retrieve the maximum length of data current iterated field will allow<br>
<br>
<br>
For example, take a look at the code below and click "Go" when ready.<br>
<br>
<div id="div_exSQLResult_Source" style="visibility: visible;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><td><iframe id="ifr_exSQLResult_Source" border="0" frameborder="0" width="100%" height="775" style="visibility: visible;" src="display_source.tpl?source=example9.inc"></iframe></td></tr>
		<tr><td>&nbsp;</td></tr>
		<tr><td align="right"><input type="button" value="Go" onClick="exSQLExecute();"></td></tr>
	</table>
</div>
<br>
<br>
<div id="div_exSQLExecute" style="visibility: hidden;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><a name="result"></a><td>RESULT:</td></tr>
		<tr><td><iframe id="ifr_exSQLExecute" border="0" frameborder="0" width="100%" height="475" style="visibility: hidden;" src=""></iframe></td>
	</table>
</div><br>
<br>
<div id="div_SQLResultDoc" style="visibility: hidden;"">
<br>
Click Next to move on to a more comprehensive example.
</div>
<br>
<p>
[include file=../header.inc&top=F&page_title=SQLInfo/ListFields]