<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=SQLConnect]
[include file=javascript.inc&source=example1.inc]
<p>
Generally speaking, the first step when using the SQL contexts is to make a
connection to your database server.  This is done with the <b>[raw][SQLConnect][/raw]</b>
context.<br>
<br>
For example, click "Go" to execute the following:
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><td><iframe id="ifr_exSQLConnect_Source" border="0" frameborder="0" height=200 width="100%" src="display_source.tpl?source=example1.inc"></iframe></td></tr>
		<tr><td>&nbsp;</td></tr>
		<tr><td align="right"><input type="button" value="Go" onClick="exSQLExecute();"></td></tr>
	</table>
<br>
<br>
<div id="div_exSQLExecute" style="visibility: hidden;" width="100%">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr><a name="result"></a><td>RESULT:</td></tr>
		<tr><td><iframe id="ifr_exSQLExecute" border="0" frameborder="0" width="100%" style="visibility: hidden;" src=""></iframe></td>
	</table>
</div>
<div id="div_SQLResultDoc" style="visibility: hidden;" width="100%">
<br>
<br>
Now, if all went well, you should see the Host, the Server Version, and the Client Version reported back in the Results frame.  
Let's examine some details...<br>
<br>
<b>[raw][SQLConnect][/raw]</b> allows for seven parameters:<br>
- <b>dbType</b> is <i>optional</i> and the value can be one of three reserved values - <b>MYSQL</b>, <b>MSSQL</b>, or <b>ORACLE</b> - depending on the type of RDBMS you wish to connect to.<br>
If 'dbType' is not given, WebDNA defaults to MYSQL.  For WebDNA 6.0, MYSQL is the only type supported.
<p>
- <b>host</b> is <i>required</i> and the value you specify is either the IP Address or the host name of the database server you wish to connect to.
<p>
- <b>port</b> is <i>optional</i> and the value you specify is the non-standard/non-default port of the database host you wish to connect to; <i>do not provide a value unless your database administrator 
has informed you that the you must use a specific port in order to connect to the server</i>.
<p>
- <b>database</b> is <i>optional</i> and the value you specify is simply the name of the database to which you wish to connect; almost all the time you will want to provide a database name to connect to;
 if you do not supply the "database" parameter, the engine assumes you wish to connect to the RDBMS as admin in order to execute admin-type tasks, such as creating tables, etc.; please note that 
in this case you will more than likely only be required to provide admin credentials in order to connect successfully.
<p>
- <b>uid</b>/<b>pwd</b> are <i>optional</i> paired parameters meaning that you cannot provide one without the other; use them to authenticate with the specified credentials.
<p>
- <b>conn_var</b> or simply <b>var</b> (both mean the same) is <i>required</i> and the value you specify is the name of the connection variable that will be created <i>on successful connection</i>; this will be covered in further detail in the next step<br>
<p>
<b>New WebDNA tags available from within [raw][SQLConnect][/raw] context:</b>
<p>
- <b>[raw][SQL_HOST][/raw]</b> is the IP Address/host name of the database server.
<p>
- <b>[raw][SQL_SERVERTYPE][/raw]</b> is the type of the database server; types returned: <b>MYSQL</b>, <b>MSSQL</b>, or <b>ORACLE</b>.
<p>
- <b>[raw][SQL_SERVERVER][/raw]</b> is the SQL database server version number.
<p>
- <b>[raw][SQL_CLIENTVER][/raw]</b> is the version number of the client being used to connect to the database server.
<p>
- <b>[raw][SQL_DBNAME][/raw]</b> is the name of the database you have connected to, if any<br>
<br>
Now, if there are any errors/problems encountered while attempting to connect to the database or the connection fails, WebDNA between the opening and closing [raw][SQLContext][/raw] tokens will NOT be executed.  
Obviously, on successful execution, WebDNA contained within the context will be parsed/executed.<br>
<br>
Click Next to move on the next part of the SQL Contexts tutorial...
</div>
<p>
[include file=../header.inc&top=F&page_title=SQLConnect]