<h3> Example 1  - Simple Connect</h3>

[!]Grab the connect info for this tutorial session[/!]
[include file=connect.inc]

[SQLConnect dbType=[_type]&host=[_host]&database=SMSITest&uid=[_user]&pwd=[_userpwd]&conn_var=conn1]
[text]bSuccess=T[/text]
<table cellpadding="0" cellspacing="0" border="0" style="font-size: smaller;">
	<tr><td>Host:</td><td>[SQL_HOST]</td></tr>
	<tr><td>Server Version:</td><td>[SQL_SERVERVER]</td></tr>
	<tr><td>Client Version:</td><td>[SQL_CLIENTVER]</td></tr>
</table>
[/SQLConnect]
[SQLDisconnect ref=conn1]




<p>
<hr>
<h3> Example 2 - Simple Query</h3>
[SQLConnect dbType=[_type]&host=[_host]&database=SMSITest&uid=[_user]&pwd=[_userpwd]&conn_var=conn1]
[text]bSuccess=T[/text]
Connected successfully<br>
[/SQLConnect]

[SQLExecute conn_ref=conn1&result_var=rs1]
select firstName,lastName from employees;
[/SQLExecute]

[SQLResult result_ref=rs1]
[numFound] records found<br>
<table border=1><tr><th>First Name</th><th>Last Name</th></tr>
[FoundItems]
<tr><td>[firstName]</td><td>[lastName]</td></tr>
[/FoundItems]
</table>
[/SQLResult]
[SQLDisconnect ref=conn1]




<p>
<hr>
<h3> Example 3 - SQLResult with ListFields Context</h3>
[SQLConnect dbType=[_type]&host=[_host]&database=SMSITest&uid=[_user]&pwd=[_userpwd]&conn_var=conn1]
[text]bSuccess=T[/text]
Connected successfully<br>
[/SQLConnect]

[SQLExecute conn_ref=conn1&result_var=rs1]
select * from employees;
[/SQLExecute]

[SQLResult result_ref=rs1]
[numFound] records found<br>
<table border=1>
<tr>
[ListFields]<th>[fieldname]</th>[/ListFields]
</tr>
[FoundItems]
<tr>
[ListFields]<td>[interpret][[fieldname]][/interpret]</td>[/ListFields]
</tr>
[/FoundItems]
</table>
[/SQLResult]
[SQLDisconnect ref=conn1]




<p>
<hr>
<h3> Example 4 - SQLResult with Field Tags</h3>
[SQLConnect dbType=[_type]&host=[_host]&database=SMSITest&uid=[_user]&pwd=[_userpwd]&conn_var=conn1]
[text]bSuccess=T[/text]
Connected successfully<br>
[/SQLConnect]

[SQLExecute conn_ref=conn1&result_var=rs1]
select * from employees; 
[/SQLExecute]

[SQLResult result_ref=rs1]
[FoundItems]
[loop start=1&end=[numFields]]
[field seek=ordinal:[index]&get=NAME]: <b>[field seek=ordinal:[index]&get=VALUE]</b> [hideif [index]=[numfields]]- [/hideif]
[/loop]<br>
[/FoundItems]
<hr>
[FoundItems]
Employee Name: <b>[field seek=named:lastName&get=VALUE], [field seek=named:firstName&get=VALUE]</b><br>
[/FoundItems]
[/SQLResult]
[SQLDisconnect ref=conn1]




<p>
<hr>
<h3> Example 5 - Raw=T in Field Tag</h3>
[SQLConnect dbType=[_type]&host=[_host]&database=SMSITest&uid=[_user]&pwd=[_userpwd]&conn_var=conn1]
[text]bSuccess=T[/text]
Connected successfully<br>
[/SQLConnect]

[SQLExecute conn_ref=conn1&result_var=rs1]
select inventoryID,dateAcquired,comments from inventory; 
[/SQLExecute]

[SQLResult result_ref=rs1]
<table>
<tr><th>ID</th><th>Date Acquired</th><th>Comments</th></tr>
[FoundItems iterate=manual]
[seek to=last]
<tr><td>[inventoryID]</td><td>[dateAcquired]</td><td>[comments]</td></tr>
<tr><td>[inventoryID]</td><td>[field seek=named:dateAcquired&get=value&raw=T]</td><td>[comments]</td></tr>
[/FoundItems]
</table>
[/SQLResult]
[SQLDisconnect ref=conn1]




<p>
<hr>
<h3> Example 6 - Iterate Mode & Seek Tag</h3>
[SQLConnect dbType=[_type]&host=[_host]&database=SMSITest&uid=[_user]&pwd=[_userpwd]&conn_var=conn1]
[text]bSuccess=T[/text]
Connected successfully<br>
[/SQLConnect]

[SQLExecute conn_ref=conn1&result_var=rs1]
select * from inventory; 
[/SQLExecute]

[SQLResult result_ref=rs1]
List records in order, from first to last:<br>
<table>
<tr><th>ID</th><th>Date Acquired</th><th>Comments</th></tr>
[FoundItems iterate=manual]
[loop start=1&end=[numfound]]
<tr><td>[inventoryID]</td><td>[dateAcquired]</td><td>[comments]</td></tr>
[seek to=next]
[/loop]
[/FoundItems]
</table>
<br>
List records in reverse order:<br>
<table>
<tr><th>ID</th><th>Date Acquired</th><th>Comments</th></tr>
[FoundItems iterate=manual]
[seek to=last]
[loop start=1&end=[numfound]]
<tr><td>[inventoryID]</td><td>[dateAcquired]</td><td>[comments]</td></tr>
[hideif [index]=[numfound]][seek to=prev][/hideif]
[/loop]
[/FoundItems]
</table>
[/SQLResult]
[SQLDisconnect ref=conn1]




<p>
<hr>
<h3> Example 7 SQLInfo and ListFields Contexts</h3>
[SQLConnect dbType=[_type]&host=[_host]&database=SMSITest&uid=[_user]&pwd=[_userpwd]&conn_var=conn1]
[text]bSuccess=T[/text]
Connected successfully<br>
[/SQLConnect]

<br>
SQLInfo reports:<br>
[SQLInfo conn_ref=conn1]
Host: [SQL_HOST]<br> 
Server Version: [SQL_SERVERVER]<br>
Client Version: [SQL_CLIENTVER]<br> 
[/SQLInfo]<br>
<br>

[SQLExecute conn_ref=conn1&result_var=rs1]
select * from employees; 
[/SQLExecute]

[SQLResult result_ref=rs1]
The result set from query "select * from employees;" has [numFields] fields:<br>
[ListFields]
<b>[fieldname]</b><br>
<li>ordinal: [ordinal]</li>
<li>datatype: [datatype]</li>
<li>allownull: [allownull]</li>
<li>width: [width]</li>
<br>
[/ListFields]
<br>
[/SQLResult]

The "inventory" table has the following fields:<br>
[ListFields conn_ref=conn1&table=inventory]
<b>[fieldname]</b><br>
<li>ordinal: [ordinal]</li>
<li>datatype: [datatype]</li>
<li>allownull: [allownull]</li>
<li>width: [width]</li>
<br>
[/ListFields]
