<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Scope Resolution - Step-Wise Method]
<p>
Because of the addition of 'local' variable name spaces to WebDNA, there will often be
occasions when you need to explicitly access variables in a given scope.  You can do this using the
new 'Scope Resolution' operator: <b>'::'</b>.  There are two modes of Scope resolution; 'step-wise'
and 'named'.
<p>
When parsing WebDNA code, the WebDNA engine will search 'inside-out' for variable matches on a given token, and return the first 'match'.  The step-wise scope resolution method can force the engine 
to 'step over' matching variable names and continue searching for 'outer' variables that match the given token.
<p>
This 'step-wise' scope resolution is used as follows...<br>
Any number of 'colon' pairs preceding a variable name.<br>
[raw]<b><xmp>[::<varaible name>]</xmp></b>[/raw]
<p>
A usage case...<br>
Often from within an [raw][orderfile][/raw] context, you may want to access the global
[raw][date][/raw] tag.  Until now, if you used [raw][date][/raw] from within an orderfile
context (or on a page called with the 'showcart' command), you would get the orderfile's date, and not the 
'global' date value.  Now, you can retrieve the 'global' date value using, [raw][::date][/raw] from within the orderfile context.  Basically the '::' reads as, 'skip the first occurrence of a 'date' value, and retrieve the next (if it exists).'
<p>
<b>
[raw]
<xmp>
[orderfile file=testcart]
[date]<br>
[::date]<br>
[/orderfile]
</xmp>
[/raw]
</b>
<p>
Results...
<hr>
[orderfile file=testcart]
[date]<br>
[::date]<br>
[/orderfile]
<hr>
You can 'stack' any number of resolution operator '::' pairs to 'skip' to a particular 'outer' instance of a variable...
<b>
[raw]
<xmp>
[scope name=scope1]
  [text]a=1[text]
  [scope name=scope2]
    [text]a=11[text]
    [scope name=scope3]
      [text]a=111[text]
      value of 'a' in [scope3] = [a]<br>
      value of 'a' in [scope2] = [::a]<br>
      value of 'a' in [scope1] = [::::a]<br>
    [/scope]
  [/scope]
[/scope]
</xmp>
[/raw]
</b>
<p>
Results...
<hr>
[scope name=scope1]
  [text]a=1[/text]
  [scope name=scope2]
    [text]a=11[/text]
    [scope name=scope3]
      [text]a=111[/text]
      value of 'a' in [scope3] = [a]<br>
      value of 'a' in [scope2] = [::a]<br>
      value of 'a' in [scope1] = [::::a]<br>
    [/scope]
  [/scope]
[/scope]
<hr>
[include file=../header.inc&top=F&page_title=Named Scope III]
