<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=New 'scope=' parameter]
<p>
Besides being able to 'resolve' variables in different scopes, you can create variables for a 
specified scope using the 'scope=' parameter in [raw][text][/raw] and [raw][math][/raw] assignments.
This option will soon be available for other persisted WebDNA object, i.e. Arrays, Tables, XML/XSL objects, etc...
<p>
This is useful when you have a block of WebDNA code within a function, or named scope, and need to create/modify a variable
in an outer scope.
<p>
For example...
Here we simulate a 'pass by reference' by passing the variable name, to receive the results, into a function call.
<b>
[raw]
<xmp>
[function name=Backwards]
[text]length=[countchars][in_string][/countchars][/text]
[text scope=global][output_to]=[loop start=[length]&end=1&advance=-1][getchars start=[index]&end=[index]][in_string][/getchars][/loop][/text]
[/function]

[Backwards in_string=abcdef_12345&output_to=result]

result = [result]
</xmp>
[/raw]
</b>
Results...
<hr>
[function name=Backwards]
[text]length=[countchars][in_string][/countchars][/text]
[text scope=global][output_to]=[loop start=[length]&end=1&advance=-1][getchars start=[index]&end=[index]][in_string][/getchars][/loop][/text]
[/function]

[Backwards in_string=abcdef_12345&output_to=result]

result = [result]
<hr>
In the example above, the function definition assumes that the destination variable existed
in the 'global' scope.  Lets do the same thing as before, but pass in the scope name as well...

<b>
[raw]
<xmp>
[function name=Backwards]
[text]length=[countchars][in_string][/countchars][/text]
[text scope=[output_scope]][output_to]=[loop start=[length]&end=1&advance=-1][getchars start=[index]&end=[index]][in_string][/getchars][/loop][/text]
[/function]

[!] clear out gloabl 'result' from previous example [/!]
[text]result=[/text]
[scope name=scope1]
[Backwards in_string=abcdef_12345&output_to=result&output_scope=scope1]
value of 'result' inside of 'scope1' = '[result]'
[/scope]
<p>
value of 'result' outside 'scope1' = '[result]' (should be empty).
</xmp>
[/raw]
</b>
Results...
<hr>
[function name=Backwards]
[text]length=[countchars][in_string][/countchars][/text]
[text scope=[output_scope]][output_to]=[loop start=[length]&end=1&advance=-1][getchars start=[index]&end=[index]][in_string][/getchars][/loop][/text]
[/function]

[!] clear out gloabl 'result' from previous example [/!]
[text]result=[/text]
[scope name=scope1]
[Backwards in_string=abcdef_12345&output_to=result&output_scope=scope1]
value of 'result' inside of 'scope1' = '[result]'
[/scope]
<p>
value of 'result' outside 'scope1' = '[result]' (should be empty).
<hr>

[include file=../header.inc&top=F&page_title=New 'scope=' parameter]