<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=New Page 3]
<p>
<h3>The Post-Parse Script</h3>
The post-parse script is executed at the end of every WebDNA page request.
This enables the WebDNA programmer to 'wrap' WebDNA code around the results of every WebDNA template that is processed.
So this is an ideal place to insert code that generates 'global' (or 'application' when inside  WebDNA Sandbox) header or footer messages.
Or as a place to put server, or Sandbox, 'logging' code.  It can even be used to insert WebDNA code that will 'strip' or modify
the page results, perhaps to remove unwanted white-space from the HTML before it is return to the client.
<p>
There is a new, very important, WebDNA tag that you will almost always use inside the post-parse script.  This tag is:
 <b>[raw][WEBDNA_TEMPLATE_RESULTS][/raw]</b>.  This tag represents the results of the requested WebDNA template.
This tag allows you to 'wrap' you own WebDNA code around the page results.  So, if you enable the post-parse script feature, you will need to 
include the [raw][WEBDNA_TEMPLATE_RESULTS][/raw] tag, somewhere in the WebDNA code.

<p>
Here is an example of a post-parse script you could use to insert an HTML footer message at the bottom of every WebDNA page request.<p>
Contents of the 'PostParseScript' file...
[raw]
<pre>
<xmp>
[!] Example code to place a 'footer' message at the bottom of every page request [/!]

  [showif [WEBDNA_TEMPLATE_RESULTS]^</BODY>]
  [middle startafter=&endbefore=</BODY>][WEBDNA_TEMPLATE_RESULTS][/middle]
  <hr>
  <b>My Footer Message!</b>
  <HR>
  </BODY>
  </HTML>
  [/showif]

  [hideif [WEBDNA_TEMPLATE_RESULTS]^</BODY>]
  [!] probably a frameset, just display the template results 'as is' [/!]
  [WEBDNA_TEMPLATE_RESULTS]
  [/hideif]
</xmp>
</pre>
[/raw]
If this example post-parse script was 'live', then every WebDNA page request would have the 'My Footer Message!' 
displayed at the bottom of every page..
<p>
[include file=../header.inc&top=F&page_title=New Page 3]