<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&main_title=XML Contexts&page_title=XMLNodes]

Now that you have seen how to parse an xml file into a WebDNA variable, lets move on
to the next XML context; <b>[raw][xmlnodes][/raw]</b>. 
<p>  
<b>Syntax...</b>
<b>[raw]<xmp>[xmlnodes ref=...&path=...&name=...&exact=T/F]<...WebDNA...>[/xmlnodes]</xmp>[/raw]</b>

<b>Parameters...</b><br>
<b>ref</b> - Reference to an xml parsed object variable.  If this parameter is not provided,
then it is assumed that there is an 'outer' [raw][xmlnodes][/raw] context from which to reference a particular XML node.
(This is explained further on in this tutorial).<br>
<b>path</b> - Depending on which path method is used (see below), this will
either be a path to the parent xml element (node) from which to iterate the child elements (nodes),
or a path 'expression' representing a collection of XML nodes.  If a path is not provided, then the child nodes
of the 'ref' node will be iterated<br>
<b>name</b> - A string used to filter the resulting xml nodes.  Only the xml nodes that match the 'name' string
will be iterated.<br>
<b>exact</b> - Used with the 'name' parameter.  Either 'T' or 'F'.  Specifies whether the 'name'
parameter is a 'whole' string match or a 'sub-string' match.
<p>
WebDNA Tags available from within an [raw][xmlnodes][/raw] context...
<p>
<b>[raw][name][/raw]</b> - The name of the current iterated XML node.
<br>
<b>[raw][value][/raw]</b> - The value of the current iterated XML node.  Will be
empty if the node is a 'container' node, i.e. contains other XML nodes.
<br>
<b>[raw][index][/raw]</b> - The 'count' of the current iterated node.
<br>
<b>[raw][numfound][/raw]</b> - The total 'count' of iterated nodes.
<br>
<b>[raw][content][/raw]</b> - The 'raw' xml content of the current node.
<br>
<b>[raw][iscontainer][/raw]</b> - 'T' if the current node contains other XML nodes.
<p>

The default behavior of this context
is to iterate the child XML nodes of a parent node.
The location of the parent node, in the xml 'tree', is determined by the 'path' parameter.
If a path parameter is not provided, then the child nodes of the ' ref 's root are iterated..
<p>
The path parameter can take three different forms: <b>'named:', 'indexed:', or 'xpath:'</b>.
<p>
 - The <b>'named:'</b> method expresses a literal path to the parent node, i.e. <b>'path=named:CATALOT/CD(n)'</b>.
If there are more than one similarly named 'sibling' nodes, then the '(n)' part
specifies which node to select as part of the path.
<br><br>
 - The <b>'indexed:'</b> method expresses an numerical 'step' wise path to the parent node,
i.e. <b>'path=indexed:1/2/3'</b>.  This example could be expressed as: 'The third child node of the second child node of the first
child node of the xml root'.
<br><br>
 - The <b>'xpath:'</b> method is an XPath 'expression' that evaluates to a collection of nodes in the XML tree.
In this case, the iterated nodes are those of the resulting 'collection' of nodes.  This 
is a bit different from the 'named' and 'indexed' method in that the collection of node are not 
the 'child' nodes of a given 'parent' node.  This is the most powerful method for selecting XML nodes.
There are several online 'xpath' tutorials that you can visit that will help you develop your XPath skills.
<p>
We will be using the 'named' method in the next few tutorial pages.

[include file=../header.inc&top=F&main_title=XML Contexts&page_title=XMLNodes]
