<!--HAS_WEBDNA_TAGS-->
[include file=../header.inc&top=T&page_title=Append XML data to a database]

<p>
In this example we use XSLT to generate WebDNA [raw][replace][/raw] code to 
replace/append XML data to a WebDNA database.  It is a little tricky embedding the WebDNA 
into the XSL code, but it can be done.
<p>
Here is the code...
<b>
[raw]
<xmp>
[xsl var=xsl_var1]
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<xsl:for-each select="CATALOG/CD">[!]
[/!]%5Breplace db=music.db[url]&[/url]eqTITLEdata=<xsl:value-of select="TITLE"/>[url]&[/url]append=T%5D[!]
[/!]TITLE=<xsl:value-of select="TITLE"/>[url]&[/url][!]
[/!]ARTIST=<xsl:value-of select="ARTIST"/>%5B/replace%5D
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
[/xsl]

[text]result=[unurl][xslt xslref=xsl_var1][include file=example1.xml][/xslt][/unurl][/text]

The XSLT operation produced the following WebDNA code...
<pre>[result]</pre>

We then use the interpret context to 'parse' WebDNA code.  And use the search context
to confirm that the entries where added.
<p>

[!]clear out the database entries[/!]
[delete db=music.db&neTITLEdata=[blank]]

[interpret]
[result]
[/interpret]

[search db=music.db&neTITLEdata=[blank]]
<br>
Found [numfound] CD entries in the music database.
<hr>
[founditems]
[TITLE] - [ARTIST]<br>
[/founditems]
[/search]

[closedatabase db=music.db]
</xmp>
[/raw]
</b>
Results...
<hr>
[xsl var=xsl_var1]
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<xsl:for-each select="CATALOG/CD">[!]
[/!]%5Breplace db=music.db[url]&[/url]eqTITLEdata=<xsl:value-of select="TITLE"/>[url]&[/url]append=T%5D[!]
[/!]TITLE=<xsl:value-of select="TITLE"/>[url]&[/url][!]
[/!]ARTIST=<xsl:value-of select="ARTIST"/>%5B/replace%5D
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
[/xsl]

[text]result=[unurl][xslt xslref=xsl_var1][include file=example1.xml][/xslt][/unurl][/text]

The XSLT operation produced the following WebDNA code...
<pre>[result]</pre>

We then use the interpret context to 'parse' WebDNA code.  And use the search context
to confirm that the entries where added.
<p>

[!]clear out the database entries[/!]
[delete db=music.db&neTITLEdata=[blank]]

[interpret]
[result]
[/interpret]

[search db=music.db&neTITLEdata=[blank]]
<br>
Found [numfound] CD entries in the music database.
<hr>
[founditems]
[TITLE] - [ARTIST]<br>
[/founditems]
[/search]

[closedatabase db=music.db]

[include file=../header.inc&top=F&page_title=Create a database from XML]