//*****************************************************************************
// Filename:
//    wc_globals.h
// 
// Description:
//    This file contains prototypes for function defined in wc_globals.cpp 
//    and constant defines.
// 
//*****************************************************************************
#ifndef _WC_GLOBALS_H_
#define _WC_GLOBALS_H_

#include <sys/types.h>

#define INIT_SIZE		65535
#define INC_SIZE		32768

#ifdef DEBUG_ON
#define DEBUG_PRINT(a)      printf("FILE: %s LINE: %d \nMESSAGE: %s\n", \
                               __FILE__, __LINE__, a);
#define DEBUG_PRINTN(a, b)   printf("FILE: %s LINE: %d \nMESSAGE: %s \
VALUE: %d\n", __FILE__, __LINE__, a, b);
#else
#define DEBUG_PRINT(a)
#define DEBUG_PRINTN(a, b)
#endif

#ifdef TRACE_ON
#define ENTER_TRACE(a)  printf("ENTERING: %s \n", a);
#define EXIT_TRACE(a)  printf("EXITING: %s \n", a);
#else
#define ENTER_TRACE(a)
#define EXIT_TRACE(a)
#endif

int safe_strcpy(
   char *dest,
   char *src,
   size_t max_len
);

int write_string (
	char **buffer,
	char **cur_ptr,
	char *string,
	size_t &buf_size
);

int append_to_last_string (
   char **buffer,
   char **cur_ptr,
   char *string,
   size_t &buf_size
);

int write_mem (
   char **buffer,
   char **cur_ptr,
   char *string,
   size_t block_size,
   size_t &buf_size
);

#ifndef _WINNTCGI
ssize_t socket_read(
   int fd, 
   void *vptr,
   size_t n
);

ssize_t socket_write(
   int fd, 
   const void *vptr,
   size_t n
);

void LogError(
	char *error_str
);

#endif // ifndef _WINNTCGI

char * GetNextString(
   char *buff_ptr
);

#endif // _WC_GLOBALS_H_
 
