#!/Library/Tenon/Perl/Executables/perl

# Copyright (c) 1998-2006 Tenon Intersystems, all rights reserved

package WebDNA;

use strict;
use Socket;

my $mainMenuItems = {'Module' => 'WebDNA', 'Method' => 'get', 'Description' => 'WebDNA Configuration', 'Image' => 'webdna.gif'};
my $iToolsStartUpFile="/Library/Tenon/System/Configuration/StartUp";
my @navigation=({'Module' => 'WebDNA', 'Method' => 'get', 'Description' => 'WebDNA Configuration', 'Image' => 'webdna.gif'});

sub new {
    my $self = {};
    bless($self);
    return $self;
}

sub get_main_menu_items {
    my $self = shift;
    return $mainMenuItems;
}

sub get_navi_items {
    my $self = shift;
    return \@navigation;
}

sub get {
    my $self = shift;
    my ($query) = @_;
    my ($template);
    my (@navi);
    my $rowCount = 0;
#    if( -d "/Library/Receipts/Post-Office.pkg") {
        my $host = $query->virtual_host();
        print $query->redirect("http://".$host."/WebCatalog/");
	return "";
#    } else {
}


sub set {
    my $self = shift;
    my ($query) = @_;
    my ($index, $total);
    return $self->get($query);
}

sub status {
    my $self = shift;
    my ($remote,$iaddr,$paddr,$proto);
    my ($version_str);
#    my $port = 25;
#    $remote='localhost';
#    $iaddr=inet_aton($remote);
#    $paddr=sockaddr_in($port,$iaddr);
#    $proto=getprotobyname('tcp');
#    socket(SOCK,PF_INET,SOCK_STREAM,$proto) or return 0;
#    connect(SOCK,$paddr) or return 0;
#    recv SOCK,$version_str,100,MSG_PEEK;
#    send SOCK,"quit\n",MSG_OOB;
#    close(SOCK) or die "close: $!";  
#    chop $version_str;
#    if($version_str=~/ESMTP (.*);/) {
#        $version_str=$1;
#    } elsif($version_str=~/ESMTP server \((.*)\)/) {
#        $version_str=$1;
#    }
    return $version_str;
}

sub error {
    my $self = shift;
    return "";
}

sub local_list {
    my $self = shift;
    return "";
}

sub mail_report {
    my $self = shift;
    my ($query) = @_;
    my $auth = Auth->new();
    if(!($auth->check("Server","report","mail_".$query->param("KEYWORD")))) {
        my $template = HTML::Template->new(filename => $iToolsConfig::adminServerDir.'/template/server.tmpl');
        $template->param('VERSION',$iToolsConfig::version);
        $template->param(DENIED => 'ON');
        return $template->output;
    }
    my $exec = "/Library/Tenon/WebLog/cgi-bin/mailreport --domain=".$query->param("KEYWORD")." --aliases-file=/etc/mail/aliases.db --analyse-all --limit=50 --filter-file=/var/log/mail.log --report-html";
    return `$exec`;
}

sub startup {
    my $self = shift;
    my (@file);
    open(IN,$iToolsStartUpFile);
    @file = <IN>;
    close(IN);
    foreach my $line (@file) {
        if($line=~/WEBDNA=-YES-/) {
            return "Enabled";
        }
    }
    return "Disabled";
}

return 1;
