#/bin/bash
# Install Post processing script 2009-02-08 Jaz

if [ "$#" != 4 ] || [ ! -d $1 ] || [ ! -d $3 ] || [ $1 = "/" ] || [ $2 = "/" ] || [ $3 = "/" ]; then
        echo ''
        echo "Usage $0 <HTML_DIR> <ENGINE_DIR> <APACHE_CONF_DIR> <WWW_USER_NAME>"
        echo ''
        exit 1
fi

DIRNAME=/usr/bin/dirname

DATE_RUN=`date "+%Y%m%d_%H%M%S"`
HTML=$1
ENGINE_DIR=$2
APACHE_CONF_DIR=$3
WWW_USER=$4
WEBCATALOG_DIR=${HTML}/WebCatalog
WWW_GROUP=`id -Gn ${WWW_USER} | awk '{print $1}'`


#Restore old files if existing

ENGINE_BACKUP_DIR=`cat /tmp/WebDNA_backup.txt`

if [ -n "${ENGINE_BACKUP_DIR}" ]; then
  for i in Users.db Triggers.db WebCatalog\ Prefs StandardConversions.db Browser\ Info.txt Globals/WebMerchant/Stores.db Globals/FunctionDefs/StockWebDNAFunctions.inc WDNA_Sandbox.db WDNA_SandboxScripts.db WDNA_ISP_Hosts.db WDNA_ISP_Plans.db PreParseScript PostParseScript ErrorMessages.db ; do 
    RESTORE_FILE=${ENGINE_BACKUP_DIR}/${i}
    if [ -f "${RESTORE_FILE}" ]; then
       echo "Restoring ${RESTORE_FILE}"
       cp -p "${RESTORE_FILE}" "${ENGINE_DIR}/${i}"
    fi
  done
fi

rm /tmp/WebDNA_backup.txt

# create link from apache root to more secure webdna root
#if [ ! -L ${HTML}/WebCatalog ]; then 
#  sudo ln -s ${WEBCATALOG_DIR} ${HTML}/WebCatalog
#fi


# Apache2.2 mimetypes use .tpl and .dna now.. we need to override
# and append suffix mappings

HTTPD_CONF_D_DIR=${APACHE_CONF_DIR}/conf.d

if [ -d "${HTTPD_CONF_D_DIR}" ]; then
  LINK_PATH=${HTTPD_CONF_D_DIR}/webdna.conf
  rm -f ${LINK_PATH}
  ln -s ${ENGINE_DIR}/webdna.conf ${LINK_PATH}
else
  IS_CONF_EXIST=`grep webdna\.conf ${APACHE_CONF_DIR}/httpd.conf`
  if [ ."${IS_CONF_EXIST}" = . ]; then
    echo "Modifying httpd.conf"
    echo "" >> ${APACHE_CONF_DIR}/httpd.conf
    echo "Include ${ENGINE_DIR}/webdna.conf" >> ${APACHE_CONF_DIR}/httpd.conf
  fi
fi

sed -i -e 's/^.*AddType.*tpl.*$/#&/' ${APACHE_CONF_DIR}/httpd.conf
sed -i -e 's/^.*AddType.*dna.*$/#&/' ${APACHE_CONF_DIR}/httpd.conf

#echo "Adding AddType text/html .tpl .dna .newsuffix to end of mod_mime-defaults.conf"

rm ${ENGINE_DIR}/WebCatalogCtl
sed -e s%WEBCATALOG=%WEBCATALOG=${ENGINE_DIR}% -e s%PIDFILE=%PIDFILE=${ENGINE_DIR}/WebCatalog.pid% ./WebCatalogEngine/WebCatalogCtl > ${ENGINE_DIR}/WebCatalogCtl

sed -e s%HTML=%HTML=$HTML% -e s%HTTPD=%HTTPD=${APACHE_CONF_DIR}/httpd.conf% -e  s%HTTPD_CONF_D_DIR=%HTTPD_CONF_D_DIR=${HTTPD_CONF_D_DIR}% -e s%ENGINE_DIR=%ENGINE_DIR=${ENGINE_DIR}% ./uninstall_WebDNA.sh > $HTML/WebCatalog/uninstall_WebDNA.sh

sed -i -e "s/APACHE_USER/${WWW_USER}/g" "${ENGINE_DIR}/WebCatalog Prefs"
sed -i -e "s%ENGINE_DIR%${ENGINE_DIR}%" "${ENGINE_DIR}/webdna.conf"

echo "Setting Permissions"
chown -R ${WWW_USER}:${WWW_GROUP} ${WEBCATALOG_DIR} ${ENGINE_DIR}
chmod -R ug=rw,o=r ${WEBCATALOG_DIR} ${ENGINE_DIR}
find ${WEBCATALOG_DIR} ${ENGINE_DIR} -type d -exec chmod +X {} \;
chmod a+x-w ${WEBCATALOG_DIR}/uninstall_WebDNA.sh ${ENGINE_DIR}/WebCatalogCtl \
         ${ENGINE_DIR}/WebCatalog ${ENGINE_DIR}/WebDNAMonitor ${ENGINE_DIR}/mod_*.so

# Create link for XML library
# make link for libxercesc
if [ -f /usr/lib/libxerces-c.dylib.20.0 ]; then
    if [ ! -f /usr/lib/libxerces-c.dylib.20 ]; then
       	ln -s /usr/lib/libxerces-c.dylib.20.0 /usr/lib/libxerces-c.dylib.20
	fi
    if [  -f /usr/lib/libxerces-c.dylib.20 ]; then
      if [ ! -f /usr/lib/libxerces-c.dylib ]; then
       	ln -s /usr/lib/libxerces-c.dylib.20 /usr/lib/libxerces-c.dylib
      fi
    fi
fi
