#!/bin/sh
#
# Usage: uninstall.sh 
# This script installs the WebCatalog packet under Apache directories

ECHO=/bin/echo
SLEEP=/bin/sleep
CP=/bin/cp
MV=/bin/mv
RM=/bin/rm
TAR=/bin/tar
SED=/bin/sed
CHOWN=/bin/chown
CHMOD=/bin/chmod
MKDIR=/bin/mkdir

HTTPD=
HTML=
ENGINE_DIR=
HTTPD_CONF_D_DIR=

if [ `id | ${SED} -e 's/[^(]*(//' -e 's/).*//'` != root ]; then
      echo " "
      echo "ERROR: You must be root to uninstall software."
      echo " "
      exit 1
fi

# Stop WebCatalog daemon
if [ -f ${ENGINE_DIR}/WebCatalog.pid ]; then
	pid=`cat ${ENGINE_DIR}/WebCatalog.pid`
else
       	pid=`ps -ax | egrep '/WebDNAMonitor' | grep -v grep | awk '{print $1}'`
	if [ "x$pid" = "x" ] ; then
       	   pid=`ps -ax | egrep '/WebCatalog' | grep -v grep | awk '{print $1}'`
	fi
fi

if [ -n "$pid" ]; then
	kill -2 $pid
	echo "WebCatalog stopped"
    	sleep 2
fi

if [ -d "${HTTPD_CONF_D_DIR}" ]; then
  LINK_PATH=${HTTPD_CONF_D_DIR}/webdna.conf
  rm -f ${LINK_PATH}
fi
sed -i -e s/^.*webdna.conf.*$//g ${HTTPD}

$ECHO ""
$ECHO "==========================================================="
$ECHO "	UNINSTALL WEBCATALOG DOCUMENTATION	 		 "
$ECHO "==========================================================="
$ECHO ""
$ECHO ""
if [ -d $ENGINE_DIR/ ] 
then
   $ECHO " Removing $ENGINE_DIR..."
   $RM -r $ENGINE_DIR
else 
   $ECHO " Directory $ENGINE_DIR does not exist!"
fi

if [ -d $HTML/WebCatalog ] 
then
   $ECHO " Removing $HTML/WebCatalog..."
   $RM -r $HTML/WebCatalog
else 
   $ECHO " Directory $HTML/WebCatalog does not exist!"
fi

# remove libxercesc libxalan
if [ -f /usr/lib/libxerces-c.so ]; then
       rm /usr/lib/libxerces-c.so 
fi
if [ -f /usr/lib/libxerces-c.so.20 ]; then
       rm /usr/lib/libxerces-c.so.20 
fi
if [ -f /usr/lib/libxerces-c.so.20.0 ]; then
       rm /usr/lib/libxerces-c.so.20.0 
fi
if [ -f /usr/lib/libxalan-c1_4_0.so ]; then
       rm /usr/lib/libxalan-c1_4_0.so
fi

#
# Remove the WebCatalog control files from the init runlevels dirs.
#
#if [ -f /etc/init.d/WebCatalogCtl ]
#then 
#	$RM -f /etc/init.d/WebCatalogCtl
#fi
#if [ -f /etc/rc0.d/K90WebCatalog ]
#then 
#	$RM -f /etc/rc0.d/K90WebCatalog
#fi
#if [ -f /etc/rc1.d/K90WebCatalog ]
#then 
#	$RM -f /etc/rc1.d/K90WebCatalog
#fi
#if [ -f /etc/rc3.d/S90WebCatalog ]
#then 
#	$RM -f /etc/rc3.d/S90WebCatalog
#fi

$ECHO " "
$ECHO " +--------------------------------------------------------+"
$ECHO " | You now have successfully uninstalled the WebCatalog   |"
$ECHO " | under apache server.                                   |"
$ECHO " |                                                        |"
$ECHO " | Thanks for using WebDNA.                           |"
$ECHO " +--------------------------------------------------------+"
$ECHO " "

